path: /build/build/power_assert-dev-ruby-2.0.3.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-doc -ruby_targets_ruby27 -ruby_targets_ruby30 -ruby_targets_ruby32 -test ruby_targets_ruby31" emerge dev-ruby/power_assert -pv -t && \
    USE="-doc -ruby_targets_ruby27 -ruby_targets_ruby30 -ruby_targets_ruby32 -test ruby_targets_ruby31" emerge -j ${JOBS} --nodeps dev-ruby/power_assert
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/power_assert && luet-portage --dir /pkgdir/power_assert
    dev-ruby/power_assert && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:e228f32657f271b10938efe4b312b8e66b1bb62feba9d6714e3019a85628c462
  package:
    name: power_assert
    version: 2.0.3
    category: dev-ruby
    use_flags:
    - -doc
    - -ruby_targets_ruby27
    - -ruby_targets_ruby30
    - -ruby_targets_ruby32
    - -test
    - ruby_targets_ruby31
    requires:
    - name: rubygems
      version: '>=0'
      category: virtual
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Power Assert for Ruby
    uri:
    - https://github.com/ruby/power_assert
    license: '|| ( Ruby BSD-2 )'
    buildtimestamp: 2023-08-25 09:09:42.431937455 +0000 UTC m=+78.800413331
    labels:
      BDEPEND: ruby_targets_ruby32? ( test? ( dev-ruby/test-unit[ruby_targets_ruby32(-)]
        ) ) ruby_targets_ruby31? ( test? ( dev-ruby/test-unit[ruby_targets_ruby31(-)]
        ) ) ruby_targets_ruby30? ( test? ( dev-ruby/test-unit[ruby_targets_ruby30(-)]
        ) ) ruby_targets_ruby27? ( test? ( dev-ruby/test-unit[ruby_targets_ruby27(-)]
        ) ) ruby_targets_ruby32? ( dev-lang/ruby:3.2 ) ruby_targets_ruby31? ( dev-lang/ruby:3.1
        ) ruby_targets_ruby30? ( dev-lang/ruby:3.0 ) ruby_targets_ruby27? ( dev-lang/ruby:2.7
        ) ruby_targets_ruby32? ( doc? ( dev-ruby/rdoc[ruby_targets_ruby32(-)] ) )
        ruby_targets_ruby31? ( doc? ( dev-ruby/rdoc[ruby_targets_ruby31(-)] ) ) ruby_targets_ruby30?
        ( doc? ( dev-ruby/rdoc[ruby_targets_ruby30(-)] ) ) ruby_targets_ruby27? (
        doc? ( dev-ruby/rdoc[ruby_targets_ruby27(-)] ) ) ruby_targets_ruby32? ( test?
        ( dev-ruby/rake[ruby_targets_ruby32(-)] ) ) ruby_targets_ruby31? ( test? (
        dev-ruby/rake[ruby_targets_ruby31(-)] ) ) ruby_targets_ruby30? ( test? ( dev-ruby/rake[ruby_targets_ruby30(-)]
        ) ) ruby_targets_ruby27? ( test? ( dev-ruby/rake[ruby_targets_ruby27(-)] )
        ) ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)] ) ruby_targets_ruby31?
        ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30? ( virtual/rubygems[ruby_targets_ruby30(-)]
        ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)] ) test?
        ( ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)] ) ruby_targets_ruby31?
        ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30? ( virtual/rubygems[ruby_targets_ruby30(-)]
        ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)] ) )
      DEPEND: ruby_targets_ruby32? ( dev-lang/ruby:3.2 ) ruby_targets_ruby31? ( dev-lang/ruby:3.1
        ) ruby_targets_ruby30? ( dev-lang/ruby:3.0 ) ruby_targets_ruby27? ( dev-lang/ruby:2.7
        ) ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)] ) ruby_targets_ruby31?
        ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30? ( virtual/rubygems[ruby_targets_ruby30(-)]
        ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)] )
      IUSE: ruby_targets_ruby27 ruby_targets_ruby30 ruby_targets_ruby31 ruby_targets_ruby32
        doc test test
      RDEPEND: ruby_targets_ruby32? ( dev-lang/ruby:3.2 ) ruby_targets_ruby31? ( dev-lang/ruby:3.1
        ) ruby_targets_ruby30? ( dev-lang/ruby:3.0 ) ruby_targets_ruby27? ( dev-lang/ruby:2.7
        ) ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)] ) ruby_targets_ruby31?
        ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30? ( virtual/rubygems[ruby_targets_ruby30(-)]
        ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)] )
      emerge.packages: dev-ruby/power_assert
      kit: ruby-kit
      original.package.name: dev-ruby/power_assert
      original.package.slot: "0"
      original.package.version: 2.0.3
    treedir: /build/packages
  package_dir: /pkgdir/power_assert
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: aa2ac10a8690763f6b2d88e366fa81647afe6c8d29f6689336a85487affcd1ba
compressiontype: zstd
files:
- usr/lib64/ruby/gems/3.1.0/gems/power_assert-2.0.3/bin/console
- usr/lib64/ruby/gems/3.1.0/gems/power_assert-2.0.3/bin/setup
- usr/lib64/ruby/gems/3.1.0/gems/power_assert-2.0.3/lib/power_assert/colorize.rb
- usr/lib64/ruby/gems/3.1.0/gems/power_assert-2.0.3/lib/power_assert/configuration.rb
- usr/lib64/ruby/gems/3.1.0/gems/power_assert-2.0.3/lib/power_assert/context.rb
- usr/lib64/ruby/gems/3.1.0/gems/power_assert-2.0.3/lib/power_assert/enable_tracepoint_events.rb
- usr/lib64/ruby/gems/3.1.0/gems/power_assert-2.0.3/lib/power_assert/inspector.rb
- usr/lib64/ruby/gems/3.1.0/gems/power_assert-2.0.3/lib/power_assert/parser.rb
- usr/lib64/ruby/gems/3.1.0/gems/power_assert-2.0.3/lib/power_assert/version.rb
- usr/lib64/ruby/gems/3.1.0/gems/power_assert-2.0.3/lib/power_assert.rb
- usr/lib64/ruby/gems/3.1.0/specifications/power_assert-2.0.3.gemspec
- usr/share/doc/power_assert-2.0.3/README.md.bz2
- var/db/pkg/dev-ruby/power_assert-2.0.3/BDEPEND
- var/db/pkg/dev-ruby/power_assert-2.0.3/BUILD_TIME
- var/db/pkg/dev-ruby/power_assert-2.0.3/CATEGORY
- var/db/pkg/dev-ruby/power_assert-2.0.3/CBUILD
- var/db/pkg/dev-ruby/power_assert-2.0.3/CFLAGS
- var/db/pkg/dev-ruby/power_assert-2.0.3/CHOST
- var/db/pkg/dev-ruby/power_assert-2.0.3/CONTENTS
- var/db/pkg/dev-ruby/power_assert-2.0.3/COUNTER
- var/db/pkg/dev-ruby/power_assert-2.0.3/CXXFLAGS
- var/db/pkg/dev-ruby/power_assert-2.0.3/DEFINED_PHASES
- var/db/pkg/dev-ruby/power_assert-2.0.3/DEPEND
- var/db/pkg/dev-ruby/power_assert-2.0.3/DESCRIPTION
- var/db/pkg/dev-ruby/power_assert-2.0.3/EAPI
- var/db/pkg/dev-ruby/power_assert-2.0.3/FEATURES
- var/db/pkg/dev-ruby/power_assert-2.0.3/HOMEPAGE
- var/db/pkg/dev-ruby/power_assert-2.0.3/INHERITED
- var/db/pkg/dev-ruby/power_assert-2.0.3/IUSE
- var/db/pkg/dev-ruby/power_assert-2.0.3/IUSE_EFFECTIVE
- var/db/pkg/dev-ruby/power_assert-2.0.3/KEYWORDS
- var/db/pkg/dev-ruby/power_assert-2.0.3/LDFLAGS
- var/db/pkg/dev-ruby/power_assert-2.0.3/LICENSE
- var/db/pkg/dev-ruby/power_assert-2.0.3/PF
- var/db/pkg/dev-ruby/power_assert-2.0.3/RDEPEND
- var/db/pkg/dev-ruby/power_assert-2.0.3/RESTRICT
- var/db/pkg/dev-ruby/power_assert-2.0.3/SIZE
- var/db/pkg/dev-ruby/power_assert-2.0.3/SLOT
- var/db/pkg/dev-ruby/power_assert-2.0.3/USE
- var/db/pkg/dev-ruby/power_assert-2.0.3/environment.bz2
- var/db/pkg/dev-ruby/power_assert-2.0.3/power_assert-2.0.3.ebuild
- var/db/pkg/dev-ruby/power_assert-2.0.3/repository
package_cacheimage: ""
runtime:
  name: power_assert
  version: 2.0.3
  category: dev-ruby
  use_flags:
  - -doc
  - -ruby_targets_ruby27
  - -ruby_targets_ruby30
  - -ruby_targets_ruby32
  - -test
  - ruby_targets_ruby31
  requires:
  - name: rubygems
    version: '>=0'
    category: virtual
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Power Assert for Ruby
  uri:
  - https://github.com/ruby/power_assert
  license: '|| ( Ruby BSD-2 )'
  labels:
    BDEPEND: ruby_targets_ruby32? ( test? ( dev-ruby/test-unit[ruby_targets_ruby32(-)]
      ) ) ruby_targets_ruby31? ( test? ( dev-ruby/test-unit[ruby_targets_ruby31(-)]
      ) ) ruby_targets_ruby30? ( test? ( dev-ruby/test-unit[ruby_targets_ruby30(-)]
      ) ) ruby_targets_ruby27? ( test? ( dev-ruby/test-unit[ruby_targets_ruby27(-)]
      ) ) ruby_targets_ruby32? ( dev-lang/ruby:3.2 ) ruby_targets_ruby31? ( dev-lang/ruby:3.1
      ) ruby_targets_ruby30? ( dev-lang/ruby:3.0 ) ruby_targets_ruby27? ( dev-lang/ruby:2.7
      ) ruby_targets_ruby32? ( doc? ( dev-ruby/rdoc[ruby_targets_ruby32(-)] ) ) ruby_targets_ruby31?
      ( doc? ( dev-ruby/rdoc[ruby_targets_ruby31(-)] ) ) ruby_targets_ruby30? ( doc?
      ( dev-ruby/rdoc[ruby_targets_ruby30(-)] ) ) ruby_targets_ruby27? ( doc? ( dev-ruby/rdoc[ruby_targets_ruby27(-)]
      ) ) ruby_targets_ruby32? ( test? ( dev-ruby/rake[ruby_targets_ruby32(-)] ) )
      ruby_targets_ruby31? ( test? ( dev-ruby/rake[ruby_targets_ruby31(-)] ) ) ruby_targets_ruby30?
      ( test? ( dev-ruby/rake[ruby_targets_ruby30(-)] ) ) ruby_targets_ruby27? ( test?
      ( dev-ruby/rake[ruby_targets_ruby27(-)] ) ) ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)]
      ) ruby_targets_ruby31? ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30?
      ( virtual/rubygems[ruby_targets_ruby30(-)] ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)]
      ) test? ( ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)] )
      ruby_targets_ruby31? ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30?
      ( virtual/rubygems[ruby_targets_ruby30(-)] ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)]
      ) )
    DEPEND: ruby_targets_ruby32? ( dev-lang/ruby:3.2 ) ruby_targets_ruby31? ( dev-lang/ruby:3.1
      ) ruby_targets_ruby30? ( dev-lang/ruby:3.0 ) ruby_targets_ruby27? ( dev-lang/ruby:2.7
      ) ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)] ) ruby_targets_ruby31?
      ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30? ( virtual/rubygems[ruby_targets_ruby30(-)]
      ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)] )
    IUSE: ruby_targets_ruby27 ruby_targets_ruby30 ruby_targets_ruby31 ruby_targets_ruby32
      doc test test
    RDEPEND: ruby_targets_ruby32? ( dev-lang/ruby:3.2 ) ruby_targets_ruby31? ( dev-lang/ruby:3.1
      ) ruby_targets_ruby30? ( dev-lang/ruby:3.0 ) ruby_targets_ruby27? ( dev-lang/ruby:2.7
      ) ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)] ) ruby_targets_ruby31?
      ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30? ( virtual/rubygems[ruby_targets_ruby30(-)]
      ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)] )
    emerge.packages: dev-ruby/power_assert
    kit: ruby-kit
    original.package.name: dev-ruby/power_assert
    original.package.slot: "0"
    original.package.version: 2.0.3
